
Redmine - Defect #21382

Watcher deletion of inactive user not possible for non-admin users

2015-11-30 12:22 - Rupesh  J

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed Affected version:  

Description

Redmine version 3.1.1.stable

Ruby version 2.2.1-p85 (2015-02-26) [x86_64-linux]

Rails version 4.2.4

Environment production

Database adapter Mysql2

Add a test user account as a watcher for issue.

Lock one test user account.

Login as non-admin user, having permission to delete issue watchers.

In the issue the delete icon is shown, clicking that nothing happens.

Additional information,

In the log,

The destroy controller tries to find only the active users which returns nothing (ActiveRecord::RecordNotFound (Couldn't find User

with 'id'=xxx)

User.visible.find(params[:user_id]

Associated revisions

Revision 14946 - 2015-12-05 11:21 - Jean-Philippe Lang

Fixed that user with permission can't remove a locked watcher (#21382).

Revision 14952 - 2015-12-06 11:45 - Jean-Philippe Lang

Merged r14946 (#21382).

History

#1 - 2015-12-05 11:21 - Jean-Philippe Lang

- Subject changed from Watcher deletion of inactive user not possible for non-admin user having delete issue watchers permission to Watcher deletion

of inactive user not possible for non-admin users

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.2.0

- Resolution set to Fixed

Fixed in r14946.

#2 - 2015-12-06 11:45 - Jean-Philippe Lang

- Status changed from Resolved to Closed
